質問編集履歴

3 誤字

KokiInoue

KokiInoue score 10

2018/07/12 12:58  投稿

脱字djangoのアプリのherokuでのデプロイに関して
djangoのアプリのherokuでのデプロイに関して
### herokuにdjangoのwebアプリをデプロイしたいのですが、エラーがでてしまいます
djangogirlsのチュートリアルに従って、アプリのデプロイを行っているのですが、最後の git push heroku master のところでエラーが出てしまい、アップロードできません。
### 発生している問題・エラーメッセージ
```
Counting objects: 19, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (15/15), done.
Writing objects: 100% (19/19), 3.65 KiB | 219.00 KiB/s, done.
Total 19 (delta 0), reused 0 (delta 0)
remote: Compressing source files... done.
remote: Building source:
remote:
remote: -----> Python app detected
remote: -----> Installing python-3.6.5
remote: -----> Installing pip
remote: -----> Installing requirements with pip
remote: Collecting dj-database-url==0.5.0 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 1))
remote: Downloading https://files.pythonhosted.org/packages/d4/a6/4b8578c1848690d0c307c7c0596af2077536c9ef2a04d42b00fabaa7e49d/dj_database_url-0.5.0-py2.py3-none-any.whl
remote: Collecting Django==2.0.6 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 2))
remote: Downloading https://files.pythonhosted.org/packages/56/0e/afdacb47503b805f3ed213fe732bff05254c8befaa034bbada580be8a0ac/Django-2.0.6-py3-none-any.whl (7.1MB)
remote: Collecting gunicorn==19.8.1 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 3))
remote: Downloading https://files.pythonhosted.org/packages/55/cb/09fe80bddf30be86abfc06ccb1154f97d6c64bb87111de066a5fc9ccb937/gunicorn-19.8.1-py2.py3-none-any.whl (112kB)
remote: Collecting pytz==2018.4 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 4))
remote: Downloading https://files.pythonhosted.org/packages/dc/83/15f7833b70d3e067ca91467ca245bae0f6fe56ddc7451aa0dc5606b120f2/pytz-2018.4-py2.py3-none-any.whl (510kB)
remote: Collecting whitenoise==3.3.1 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 5))
remote: Downloading https://files.pythonhosted.org/packages/0c/58/0f309a821b9161d0e3a73336a187d1541c2127aff7fdf3bf7293f9979d1d/whitenoise-3.3.1-py2.py3-none-any.whl
remote: Collecting psycopg2==2.5.4 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 6))
remote: Downloading https://files.pythonhosted.org/packages/63/c3/802668cb3cfc2880c2a8364623e7105a0257724a2612bb66ec733aaddb8c/psycopg2-2.5.4.tar.gz (682kB)
remote: Complete output from command python setup.py egg_info:
remote: running egg_info
remote: creating pip-egg-info/psycopg2.egg-info
remote: writing pip-egg-info/psycopg2.egg-info/PKG-INFO
remote: writing dependency_links to pip-egg-info/psycopg2.egg-info/dependency_links.txt
remote: writing top-level names to pip-egg-info/psycopg2.egg-info/top_level.txt
remote: writing manifest file 'pip-egg-info/psycopg2.egg-info/SOURCES.txt'
remote: Error: could not determine PostgreSQL version from '10.4'
remote:
remote: ----------------------------------------
remote: Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-d7htoai1/psycopg2/
remote: ! Push rejected, failed to compile Python app.
remote:
remote: ! Push failed
remote: Verifying deploy...
remote:
remote: ! Push rejected to koki-sample-blog.
remote:
To https://git.heroku.com/koki-sample-blog.git
! [remote rejected] master -> master (pre-receive hook declined)
error: failed to push some refs to 'https://git.heroku.com/koki-sample-blog.git'
```
### 問題点
requirements.txtに各ソフトのバージョンを記入しているのですが、psycopg2のバージョンが、私がrequirements.txtに書いた内容と、コンソールで表示されているバージョンが違ってしまっています。上記のエラーコードでは、
```
Collecting psycopg2==2.5.4 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 6))
```
と、2.5.4をcollectしようとしているみたいなのですが、私のrequirements.txtには
```
dj-database-url==0.5.0
Django==2.0.6
gunicorn==19.8.1
pytz==2018.4
whitenoise==3.3.1
psycopg2==2.7.5
```
と記入してあります。また、実際に仮想環境にインストールされているバージョンも2.7.5です。
なぜこういったことが起こっているのかわからず、困っています。
なにかご存知の方いらっしゃいましたらご回答のほどお願い致します。
### 補足情報(FW/ツールのバージョンなど)
Python 3.6.5 anaconda custom
他のソフトに関しては上記の通りです。
  • Python

    11722 questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Django

    1609 questions

    DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

  • Heroku

    1202 questions

    HerokuはHeroku社が開発と運営を行っているPaaSの名称です。RubyやNode.js、Python、そしてJVMベース(Java、Scala、Clojureなど)の複数のプログラミング言語をサポートしている。

2 脱字

KokiInoue

KokiInoue score 10

2018/07/12 12:27  投稿

djangoのアプリのherokuでのデプロイに関して
脱字djangoのアプリのherokuでのデプロイに関して
### herokuにdjangowebアプリをデプロイしたいのですが、エラーがでてしまいます
### herokuにdjangowebアプリをデプロイしたいのですが、エラーがでてしまいます
djangogirlsのチュートリアルに従って、アプリのデプロイを行っているのですが、最後の git push heroku master のところでエラーが出てしまい、アップロードできません。
### 発生している問題・エラーメッセージ
```
Counting objects: 19, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (15/15), done.
Writing objects: 100% (19/19), 3.65 KiB | 219.00 KiB/s, done.
Total 19 (delta 0), reused 0 (delta 0)
remote: Compressing source files... done.
remote: Building source:
remote:
remote: -----> Python app detected
remote: -----> Installing python-3.6.5
remote: -----> Installing pip
remote: -----> Installing requirements with pip
remote:       Collecting dj-database-url==0.5.0 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 1))
remote:         Downloading https://files.pythonhosted.org/packages/d4/a6/4b8578c1848690d0c307c7c0596af2077536c9ef2a04d42b00fabaa7e49d/dj_database_url-0.5.0-py2.py3-none-any.whl
remote:       Collecting Django==2.0.6 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 2))
remote:         Downloading https://files.pythonhosted.org/packages/56/0e/afdacb47503b805f3ed213fe732bff05254c8befaa034bbada580be8a0ac/Django-2.0.6-py3-none-any.whl (7.1MB)
remote:       Collecting gunicorn==19.8.1 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 3))
remote:         Downloading https://files.pythonhosted.org/packages/55/cb/09fe80bddf30be86abfc06ccb1154f97d6c64bb87111de066a5fc9ccb937/gunicorn-19.8.1-py2.py3-none-any.whl (112kB)
remote:       Collecting pytz==2018.4 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 4))
remote:         Downloading https://files.pythonhosted.org/packages/dc/83/15f7833b70d3e067ca91467ca245bae0f6fe56ddc7451aa0dc5606b120f2/pytz-2018.4-py2.py3-none-any.whl (510kB)
remote:       Collecting whitenoise==3.3.1 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 5))
remote:         Downloading https://files.pythonhosted.org/packages/0c/58/0f309a821b9161d0e3a73336a187d1541c2127aff7fdf3bf7293f9979d1d/whitenoise-3.3.1-py2.py3-none-any.whl
remote:       Collecting psycopg2==2.5.4 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 6))
remote:         Downloading https://files.pythonhosted.org/packages/63/c3/802668cb3cfc2880c2a8364623e7105a0257724a2612bb66ec733aaddb8c/psycopg2-2.5.4.tar.gz (682kB)
remote:           Complete output from command python setup.py egg_info:
remote:           running egg_info
remote:           creating pip-egg-info/psycopg2.egg-info
remote:           writing pip-egg-info/psycopg2.egg-info/PKG-INFO
remote:           writing dependency_links to pip-egg-info/psycopg2.egg-info/dependency_links.txt
remote:           writing top-level names to pip-egg-info/psycopg2.egg-info/top_level.txt
remote:           writing manifest file 'pip-egg-info/psycopg2.egg-info/SOURCES.txt'
remote:           Error: could not determine PostgreSQL version from '10.4'
remote:
remote:           ----------------------------------------
remote:       Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-d7htoai1/psycopg2/
remote: !    Push rejected, failed to compile Python app.
remote:
remote: !    Push failed
remote: Verifying deploy...
remote:
remote: !      Push rejected to koki-sample-blog.
remote:
To https://git.heroku.com/koki-sample-blog.git
! [remote rejected] master -> master (pre-receive hook declined)
error: failed to push some refs to 'https://git.heroku.com/koki-sample-blog.git'
```
### 問題点
requirements.txtに各ソフトのバージョンを記入しているのですが、psycopg2のバージョンが、私がrequirements.txtに書いた内容と、コンソールで表示されているバージョンが違ってしまっています。上記のエラーコードでは、
```
Collecting psycopg2==2.5.4 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 6))
```
と、2.5.4をcollectしようとしているみたいなのですが、私のrequirements.txtには
```
dj-database-url==0.5.0
Django==2.0.6
gunicorn==19.8.1
pytz==2018.4
whitenoise==3.3.1
psycopg2==2.7.5
```
と記入してあります。また、実際に仮想環境にインストールされているバージョンも2.7.5です。
なぜこういったことが起こっているのかわからず、困っています。
なにかご存知の方いらっしゃいましたらご回答のほどお願い致します。
### 補足情報(FW/ツールのバージョンなど)
Python 3.6.5 anaconda custom
他のソフトに関しては上記の通りです。
  • Python

    11722 questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Django

    1609 questions

    DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

  • Heroku

    1202 questions

    HerokuはHeroku社が開発と運営を行っているPaaSの名称です。RubyやNode.js、Python、そしてJVMベース(Java、Scala、Clojureなど)の複数のプログラミング言語をサポートしている。

1 誤字

KokiInoue

KokiInoue score 10

2018/06/24 14:23  投稿

djangoのアプリのherokuでのデプロイに関して
### herokuにdjangowebアプリをデプロイしたいのですが、エラーがでてしまいます
djangogirlsのチュートリアルに従って、アプリのデプロイを行っているのですが、最後の git push heroku master のところでエラーが出てしまい、アップロードできません。
### 発生している問題・エラーメッセージ
```
Counting objects: 19, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (15/15), done.
Writing objects: 100% (19/19), 3.65 KiB | 219.00 KiB/s, done.
Total 19 (delta 0), reused 0 (delta 0)
remote: Compressing source files... done.
remote: Building source:
remote:
remote: -----> Python app detected
remote: -----> Installing python-3.6.5
remote: -----> Installing pip
remote: -----> Installing requirements with pip
remote:       Collecting dj-database-url==0.5.0 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 1))
remote:         Downloading https://files.pythonhosted.org/packages/d4/a6/4b8578c1848690d0c307c7c0596af2077536c9ef2a04d42b00fabaa7e49d/dj_database_url-0.5.0-py2.py3-none-any.whl
remote:       Collecting Django==2.0.6 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 2))
remote:         Downloading https://files.pythonhosted.org/packages/56/0e/afdacb47503b805f3ed213fe732bff05254c8befaa034bbada580be8a0ac/Django-2.0.6-py3-none-any.whl (7.1MB)
remote:       Collecting gunicorn==19.8.1 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 3))
remote:         Downloading https://files.pythonhosted.org/packages/55/cb/09fe80bddf30be86abfc06ccb1154f97d6c64bb87111de066a5fc9ccb937/gunicorn-19.8.1-py2.py3-none-any.whl (112kB)
remote:       Collecting pytz==2018.4 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 4))
remote:         Downloading https://files.pythonhosted.org/packages/dc/83/15f7833b70d3e067ca91467ca245bae0f6fe56ddc7451aa0dc5606b120f2/pytz-2018.4-py2.py3-none-any.whl (510kB)
remote:       Collecting whitenoise==3.3.1 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 5))
remote:         Downloading https://files.pythonhosted.org/packages/0c/58/0f309a821b9161d0e3a73336a187d1541c2127aff7fdf3bf7293f9979d1d/whitenoise-3.3.1-py2.py3-none-any.whl
remote:       Collecting psycopg2==2.5.4 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 6))
remote:         Downloading https://files.pythonhosted.org/packages/63/c3/802668cb3cfc2880c2a8364623e7105a0257724a2612bb66ec733aaddb8c/psycopg2-2.5.4.tar.gz (682kB)
remote:           Complete output from command python setup.py egg_info:
remote:           running egg_info
remote:           creating pip-egg-info/psycopg2.egg-info
remote:           writing pip-egg-info/psycopg2.egg-info/PKG-INFO
remote:           writing dependency_links to pip-egg-info/psycopg2.egg-info/dependency_links.txt
remote:           writing top-level names to pip-egg-info/psycopg2.egg-info/top_level.txt
remote:           writing manifest file 'pip-egg-info/psycopg2.egg-info/SOURCES.txt'
remote:           Error: could not determine PostgreSQL version from '10.4'
remote:
remote:           ----------------------------------------
remote:       Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-d7htoai1/psycopg2/
remote: !    Push rejected, failed to compile Python app.
remote:
remote: !    Push failed
remote: Verifying deploy...
remote:
remote: !      Push rejected to koki-sample-blog.
remote:
To https://git.heroku.com/koki-sample-blog.git
! [remote rejected] master -> master (pre-receive hook declined)
error: failed to push some refs to 'https://git.heroku.com/koki-sample-blog.git'
```
### 問題点
requirements.txtに各ソフトのバージョンを記入しているのですが、psycopg2のバージョンが、私がrequirements.txtに書いた内容と、コンソールで表示されているバージョンが違ってしまっています。上記のエラーコードでは、
```
Collecting psycopg2==2.5.4 (from -r /tmp/build_d10ff052cc8fd456a127d963e7c18150/requirements.txt (line 6))
```
と、2.5.4をcollectしようとしているみたいなのですが、私のrequirements.txtには
```
dj-database-url==0.5.0
Django==2.0.6
gunicorn==19.8.1
pytz==2018.4
whitenoise==3.3.1
psycopg2==2.7.5
```
と記入してあります。また、実際に仮想環境にインストールされているバージョンも2.7.5です。
なぜこういったことが起こっているのかわからず、困っています。
なにかご存知の方いらっしゃいましたらご回答のほどお願い致します。
### 補足情報(FW/ツールのバージョンなど)
Python 3.6.5 anaconda custom
他のソフトにしては上記の通りです。
他のソフトにしては上記の通りです。
  • Python

    11722 questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

  • Django

    1609 questions

    DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

  • Heroku

    1202 questions

    HerokuはHeroku社が開発と運営を行っているPaaSの名称です。RubyやNode.js、Python、そしてJVMベース(Java、Scala、Clojureなど)の複数のプログラミング言語をサポートしている。

思考するエンジニアのためのQ&Aサイト「teratail」について詳しく知る